package com.zehong.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 监督检查记录对象 t_supervision_inspection
 *
 * @author zehong
 * @date 2026-03-16
 */
public class TSupervisionInspection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 重大危险源监管表id */
    @Excel(name = "重大危险源监管表id")
    private Long fHazardId;

    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectionDate;

    /** 检查单位id */
    @Excel(name = "检查单位id")
    private String enterpriseId;

    /** 检查单位名称 */
    @Excel(name = "检查单位名称")
    private String enterpriseName;

    /** 发现问题 */
    @Excel(name = "发现问题")
    private String identifyProblems;

    /** 整改要求 */
    @Excel(name = "整改要求")
    private String rectificationRequirements;

    /** 复查结果 */
    @Excel(name = "复查结果")
    private String reviewResults;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setfHazardId(Long fHazardId)
    {
        this.fHazardId = fHazardId;
    }

    public Long getfHazardId()
    {
        return fHazardId;
    }
    public void setInspectionDate(Date inspectionDate)
    {
        this.inspectionDate = inspectionDate;
    }

    public Date getInspectionDate()
    {
        return inspectionDate;
    }
    public void setEnterpriseId(String enterpriseId)
    {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId()
    {
        return enterpriseId;
    }
    public void setEnterpriseName(String enterpriseName)
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName()
    {
        return enterpriseName;
    }
    public void setIdentifyProblems(String identifyProblems)
    {
        this.identifyProblems = identifyProblems;
    }

    public String getIdentifyProblems()
    {
        return identifyProblems;
    }
    public void setRectificationRequirements(String rectificationRequirements)
    {
        this.rectificationRequirements = rectificationRequirements;
    }

    public String getRectificationRequirements()
    {
        return rectificationRequirements;
    }
    public void setReviewResults(String reviewResults)
    {
        this.reviewResults = reviewResults;
    }

    public String getReviewResults()
    {
        return reviewResults;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fHazardId", getfHazardId())
                .append("inspectionDate", getInspectionDate())
                .append("enterpriseId", getEnterpriseId())
                .append("enterpriseName", getEnterpriseName())
                .append("identifyProblems", getIdentifyProblems())
                .append("rectificationRequirements", getRectificationRequirements())
                .append("reviewResults", getReviewResults())
                .append("createTime", getCreateTime())
                .toString();
    }
}